import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class ChartTitle extends StatelessWidget {
  const ChartTitle({super.key, required this.title});

  final Widget title;

  @override
  Widget build(BuildContext context) {
    return DefaultTextStyle(
      style: context.textTheme.titleLarge!.copyWith(
        fontSize: 22,
        fontWeight: FontWeight.w700,
        color: ColorsManager.blackColor,
      ),
      child: title,
    );
  }
}
